## networking-bagpipe 13.0.0

=== doc/requirements.txt ===
# NOTE(armax): requirements to the specs repo is kept out of sync
# with g-r on purpose, as g-r is just for projects affecting the
# integrated gate. Any sync must happen manually as recommended by
# the openstack release team.
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinxcontrib-actdiag>=0.8.5 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
sphinxcontrib-nwdiag>=0.9.5 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD

=== debian/changelog ===
networking-bagpipe (13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 14:42:23 +0200

networking-bagpipe (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-isort to build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2020 09:39:45 +0200

networking-bagpipe (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 16:51:31 +0200

networking-bagpipe (12.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Move the package to the neutron-plugins subgroup on Salsa.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 11:46:20 +0200

=== debian/control ===
Source: networking-bagpipe
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-astroid,
 python3-babel,
 python3-coverage,
 python3-exabgp,
 python3-hacking,
 python3-isort (>= 4.3.21),
 python3-mock,
 python3-netaddr,
 python3-networking-bgpvpn (>= 12.0.0~),
 python3-networking-sfc (>= 10.0.0~),
 python3-neutron (>= 2:16.0.0~),
 python3-neutron-lib (>= 2.2.0),
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pbr,
 python3-pecan,
 python3-pyroute2 (>= 0.5.7),
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.nwdiag,
 python3-sphinxcontrib.seqdiag,
 python3-stevedore,
 python3-subunit,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Homepage: http://github.com/openstack/networking-babpipe
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-bagpipe
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-bagpipe.git

Package: networking-bagpipe-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack virtual network service - BGP-based VPN - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Driver and agent code to use BaGPipe lightweight implementation of BGP-based
 VPNs as a backend for Neutron.
 .
 This package contains the documentation.

Package: python3-networking-bagpipe
Architecture: all
Section: python
Depends:
 python3-babel,
 python3-exabgp,
 python3-netaddr,
 python3-networking-bgpvpn (>= 12.0.0~),
 python3-networking-sfc (>= 10.0.0~),
 python3-neutron (>= 2:16.0.0~),
 python3-neutron-lib (>= 2.2.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-pecan,
 python3-pyroute2 (>= 0.5.7),
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 networking-bagpipe-doc,
Description: OpenStack virtual network service - BGP-based VPN - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Driver and agent code to use BaGPipe lightweight implementation of BGP-based
 VPNs as a backend for Neutron.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	echo "Disabled tests until networking-bgpvpn is in Debian..."
	pkgos-dh_auto_test --no-py2 'networking_bagpipe\.tests\.unit.*'
endif

	mkdir -p $(CURDIR)/debian/python3-networking-bagpipe/etc/bagpipe-bgp
	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-networking-bagpipe/etc/bagpipe-bgp/bagpipe-bgp.conf \
		--wrap-width 140 \
		--namespace networking_bagpipe.api \
		--namespace networking_bagpipe.bgp_common \
		--namespace networking_bagpipe.run_command \
		--namespace networking_bagpipe.dataplane.ipvpn \
		--namespace networking_bagpipe.dataplane.evpn

	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-networking-bagpipe/etc/bagpipe-bgp/dataplane-evpn-linux-vxlan.conf \
		--wrap-width 140 \
		--namespace networking_bagpipe.dataplane.evpn.linux_vxlan

	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-networking-bagpipe/etc/bagpipe-bgp/dataplane-ipvpn-mpls-linux.conf \
		--wrap-width 140 \
		--namespace networking_bagpipe.dataplane.ipvpn.mpls_linux

	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-networking-bagpipe/etc/bagpipe-bgp/dataplane-ipvpn-mpls-ovs.conf \
		--wrap-width 140 \
		--namespace networking_bagpipe.dataplane.ipvpn.mpls_ovs

	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-networking-bagpipe/etc/bagpipe-bgp/neutron-agent.ini \
		--wrap-width 140 \
		--namespace networking_bagpipe.bagpipe_bgp_agent

	dh_install
	rm -rf $(CURDIR)/debian/tmp/etc
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/networking-bagpipe-doc/usr/share/doc/networking-bagpipe-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutil
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## networking-bagpipe 14.0.0

=== debian/changelog ===
networking-bagpipe (14.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:53:11 +0000

networking-bagpipe (14.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 14.x series and fix tarball path.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 10:56:47 -0400

networking-bagpipe (13.0.0+git2020121014.c3d06f5-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 10 Dec 2020 14:36:16 +0000

networking-bagpipe (13.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 08:25:21 -0400

networking-bagpipe (13.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 13.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 16:22:06 -0400

networking-bagpipe (13.0.0~b2~git2020073014.e5ffadc-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/copyright: Update upstream URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 14:53:22 -0400

networking-bagpipe (12.0.1~git2020070613.d27919f-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed upstream.
  * d/control, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 13:58:43 -0400

networking-bagpipe (12.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 12.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream to fix Python 3.8 monkey patching (LP: #1863021).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 13:52:15 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-bagpipe/ networking-bagpipe-(14\.\d.*)\.tar\.gz

## networking-bagpipe 15.0.0

=== debian/changelog ===
networking-bagpipe (15.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 14:12:46 +0000

networking-bagpipe (15.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 15.x series.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 09:43:56 -0400

networking-bagpipe (14.0.0+git2021090912.c833a97-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:47:24 -0400

networking-bagpipe (14.0.0+git2021061112.d750685-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:50 +0000

=== debian/control ===
Source: networking-bagpipe
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.nwdiag (>= 0.9.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-exabgp (>= 4.0.4),
 python3-hacking (>= 1.1.0),
 python3-isort (>= 4.3.21),
 python3-netaddr (>= 0.7.18),
 python3-networking-bgpvpn (>= 12.0.0),
 python3-networking-sfc (>= 10.0.0),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 2.2.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 2.3.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.versionedobjects (>= 1.35.1),
 python3-oslotest (>= 1:3.2.0),
 python3-pecan (>= 1.3.2),
 python3-pyroute2 (>= 0.5.7),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-bagpipe
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-bagpipe
Homepage: https://opendev.org/openstack/networking-bagpipe

Package: networking-bagpipe-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-networking-bagpipe (<< 9.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-bagpipe (<< 9.0.0~b2-0ubuntu2~),
Description: Driver and agent code to use BagPipe implementation (common)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This is the common configuration package.

Package: python-networking-bagpipe-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Driver and agent code to use BagPipe implementation (common documentaiton)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This is the common documentation package.

Package: python3-networking-bagpipe
Architecture: all
Depends:
 networking-bagpipe-common (= ${binary:Version}),
 python3-babel (>= 2.3.4),
 python3-exabgp (>= 4.0.4),
 python3-netaddr (>= 0.7.18),
 python3-networking-bgpvpn (>= 12.0.0),
 python3-networking-sfc (>= 10.0.0),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 2.2.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 2.3.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.versionedobjects (>= 1.35.1),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.3.2),
 python3-pyroute2 (>= 0.5.7),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-networking-bagpipe-doc,
Description: Driver and agent code to use BagPipe implementation (Python 3)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-bagpipe/ networking-bagpipe-(15\.\d.*)\.tar\.gz

## networking-bagpipe 16.0.0

=== debian/changelog ===
networking-bagpipe (16.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 16.x series.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 21:22:51 -0400

networking-bagpipe (15.0.0+git2021120816.8a8279a-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 16:42:12 -0500

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,9 @@
  python3-astroid (>= 2.1.0),
  python3-babel (>= 2.3.4),
  python3-coverage (>= 4.0),
+ python3-django-horizon (>= 4:17.1.0),
  python3-exabgp (>= 4.0.4),
- python3-hacking (>= 1.1.0),
+ python3-hacking,
  python3-isort (>= 4.3.21),
  python3-netaddr (>= 0.7.18),
  python3-networking-bgpvpn (>= 12.0.0),
@@ -84,6 +85,7 @@
 Depends:
  networking-bagpipe-common (= ${binary:Version}),
  python3-babel (>= 2.3.4),
+ python3-django-horizon (>= 4:17.1.0),
  python3-exabgp (>= 4.0.4),
  python3-netaddr (>= 0.7.18),
  python3-networking-bgpvpn (>= 12.0.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-bagpipe/ networking-bagpipe-(16\.\d.*)\.tar\.gz

## networking-bagpipe 17.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
netaddr>=0.7.18 # BSD
neutron-lib>=2.19.0 # Apache-2.0
oslo.db>=4.37.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.privsep>=2.3.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.versionedobjects>=1.35.1 # Apache-2.0
pyroute2>=0.5.7;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
stevedore>=1.20.0 # Apache-2.0
exabgp>=4.0.4 # BSD
pecan>=1.3.2 # BSD

# OpenStack CI will install the following projects from git
# if they are in the required-projects list for a job:
horizon>=17.1.0 # Apache-2.0
neutron>=16.0.0.0b1 # Apache-2.0
networking-bgpvpn>=12.0.0.0b1 # Apache-2.0
networking-sfc>=10.0.0.0b1 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== networking_bagpipe/tests/functional/requirements.txt ===
# Additional requirements for functional tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

psutil>=1.1.1,<2.0.0
psycopg2
PyMySQL>=0.6.2  # MIT License

=== debian/changelog ===
networking-bagpipe (17.0.0-3) unstable; urgency=medium

  * Remove autopkgtest, failing tests discovery.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Oct 2022 13:36:02 +0200

networking-bagpipe (17.0.0-2) unstable; urgency=medium

  * autopkgtest: add 2 tests in the blacklist.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Oct 2022 14:43:24 +0200

networking-bagpipe (17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 23:32:51 +0200

networking-bagpipe (17.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2022 22:07:11 +0200

networking-bagpipe (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:29:23 +0200

networking-bagpipe (16.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:26:44 +0100

networking-bagpipe (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 17:32:07 +0100

networking-bagpipe (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:40:40 +0200

networking-bagpipe (15.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:25:49 +0200

networking-bagpipe (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 11:31:34 +0200

networking-bagpipe (14.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 17:40:51 +0200

networking-bagpipe (14.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 23:39:18 +0200

networking-bagpipe (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends version when satisfied in Bullseye.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 13:48:02 +0100

=== debian/control ===
Source: networking-bagpipe
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-astroid,
 python3-babel,
 python3-coverage,
 python3-exabgp,
 python3-hacking,
 python3-isort,
 python3-mock,
 python3-netaddr,
 python3-networking-bgpvpn,
 python3-networking-sfc,
 python3-neutron (>= 2:21.0.0~),
 python3-neutron-lib (>= 3.1.0),
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.concurrency,
 python3-oslo.config (>= 1:9.0.0),
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pbr,
 python3-pecan,
 python3-pyroute2,
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.nwdiag,
 python3-sphinxcontrib.seqdiag,
 python3-stevedore,
 python3-subunit,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
Standards-Version: 4.4.1
Homepage: http://github.com/openstack/networking-babpipe
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-bagpipe
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-bagpipe.git

Package: networking-bagpipe-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack virtual network service - BGP-based VPN - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Driver and agent code to use BaGPipe lightweight implementation of BGP-based
 VPNs as a backend for Neutron.
 .
 This package contains the documentation.

Package: python3-networking-bagpipe
Architecture: all
Section: python
Depends:
 python3-babel,
 python3-exabgp,
 python3-netaddr,
 python3-networking-bgpvpn,
 python3-networking-sfc,
 python3-neutron (>= 2:21.0.0~),
 python3-neutron-lib (>= 3.1.0),
 python3-oslo.concurrency,
 python3-oslo.config (>= 1:9.0.0),
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-pecan,
 python3-pyroute2,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 networking-bagpipe-doc,
Description: OpenStack virtual network service - BGP-based VPN - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Driver and agent code to use BaGPipe lightweight implementation of BGP-based
 VPNs as a backend for Neutron.

## networking-bagpipe 17.0.0+git2023011010.0d094ba1

=== debian/changelog ===
networking-bagpipe (17.0.0+git2023011010.0d094ba1-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:09:55 -0500

networking-bagpipe (17.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 17.x series.
  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:56:03 -0400

networking-bagpipe (16.0.0+git2022072116.4282611-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Jul 2022 16:36:25 -0400

networking-bagpipe (16.0.0+git2022071815.d472fb7-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:23:14 -0400

networking-bagpipe (16.0.0+git2022060214.d472fb7-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 14:13:08 -0400

=== debian/control ===
Source: networking-bagpipe
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.nwdiag (>= 0.9.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-django-horizon (>= 4:17.1.0),
 python3-exabgp (>= 4.0.4),
 python3-hacking,
 python3-isort (>= 4.3.21),
 python3-netaddr (>= 0.7.18),
 python3-networking-bgpvpn (>= 12.0.0),
 python3-networking-sfc (>= 10.0.0),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 2.19.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 2.3.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.versionedobjects (>= 1.35.1),
 python3-oslotest (>= 1:3.2.0),
 python3-pecan (>= 1.3.2),
 python3-pyroute2 (>= 0.5.7),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-bagpipe
Homepage: https://opendev.org/openstack/networking-bagpipe

Package: networking-bagpipe-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-networking-bagpipe (<< 9.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-bagpipe (<< 9.0.0~b2-0ubuntu2~),
Description: Driver and agent code to use BagPipe implementation (common)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This is the common configuration package.

Package: python-networking-bagpipe-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Driver and agent code to use BagPipe implementation (common documentaiton)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This is the common documentation package.

Package: python3-networking-bagpipe
Architecture: all
Depends:
 networking-bagpipe-common (= ${binary:Version}),
 python3-babel (>= 2.3.4),
 python3-django-horizon (>= 4:17.1.0),
 python3-exabgp (>= 4.0.4),
 python3-netaddr (>= 0.7.18),
 python3-networking-bgpvpn (>= 12.0.0),
 python3-networking-sfc (>= 10.0.0),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 2.19.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 2.3.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.versionedobjects (>= 1.35.1),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.3.2),
 python3-pyroute2 (>= 0.5.7),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-networking-bagpipe-doc,
Description: Driver and agent code to use BagPipe implementation (Python 3)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-bagpipe/ networking-bagpipe-(17\.\d.*)\.tar\.gz

## networking-bagpipe 19.0.0

=== debian/changelog ===
networking-bagpipe (19.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 15:38:46 +0000

networking-bagpipe (19.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:08:54 -0400

networking-bagpipe (18.0.0+git2023090714.60d374d8-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:33:43 -0400

networking-bagpipe (18.0.0+git2023071214.c8a974c4-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:42:19 -0400

networking-bagpipe (18.0.0+git2023061415.23a3f602-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:13:26 -0400

networking-bagpipe (17.0.0+git2023011010.0d094ba1-0ubuntu2) UNRELEASED; urgency=medium

  * d/watch: Drop major version.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 14:27:28 -0500

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-netaddr (>= 0.7.18),
  python3-networking-bgpvpn (>= 12.0.0),
  python3-networking-sfc (>= 10.0.0),
- python3-neutron (>= 2:16.0.0),
+ python3-neutron (>= 2:23.0.0~),
  python3-neutron-lib (>= 2.19.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-testr (>= 1.0.0),
@@ -90,7 +90,7 @@
  python3-netaddr (>= 0.7.18),
  python3-networking-bgpvpn (>= 12.0.0),
  python3-networking-sfc (>= 10.0.0),
- python3-neutron (>= 2:16.0.0),
+ python3-neutron (>= 2:23.0.0~),
  python3-neutron-lib (>= 2.19.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),

## networking-bagpipe 20.0.1

=== requirements.txt ===
--- 
+++ 
@@ -1,10 +1,6 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 
 Babel!=2.4.0,>=2.3.4 # BSD
 netaddr>=0.7.18 # BSD
@@ -28,9 +24,9 @@
 # OpenStack CI will install the following projects from git
 # if they are in the required-projects list for a job:
 horizon>=17.1.0 # Apache-2.0
-neutron>=16.0.0.0b1 # Apache-2.0
-networking-bgpvpn>=12.0.0.0b1 # Apache-2.0
-networking-sfc>=10.0.0.0b1 # Apache-2.0
+neutron>=23.0.0 # Apache-2.0
+networking-bgpvpn>=12.0.0 # Apache-2.0
+networking-sfc>=10.0.0 # Apache-2.0
 
 # The comment below indicates this project repo is current with neutron-lib
 # and should receive neutron-lib consumption patches as they are released

=== debian/changelog ===
networking-bagpipe (20.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:38:10 +0100

networking-bagpipe (20.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 09:42:23 +0000

networking-bagpipe (19.0.0+git2024011916.82183b21-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Jan 2024 12:19:41 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-netaddr (>= 0.7.18),
  python3-networking-bgpvpn (>= 12.0.0),
  python3-networking-sfc (>= 10.0.0),
- python3-neutron (>= 2:23.0.0~),
+ python3-neutron (>= 2:23.0.0),
  python3-neutron-lib (>= 2.19.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-testr (>= 1.0.0),
@@ -90,7 +90,7 @@
  python3-netaddr (>= 0.7.18),
  python3-networking-bgpvpn (>= 12.0.0),
  python3-networking-sfc (>= 10.0.0),
- python3-neutron (>= 2:23.0.0~),
+ python3-neutron (>= 2:23.0.0),
  python3-neutron-lib (>= 2.19.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-bagpipe/ networking-bagpipe-(\d.*)\.tar\.gz

## networking-bagpipe 21.0.0

=== debian/changelog ===
networking-bagpipe (21.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090439).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:04:48 +0100

networking-bagpipe (21.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:41:00 +0200

networking-bagpipe (21.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 14:02:55 +0200

networking-bagpipe (21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Add_os_ken_app_to_EVPN_OVSDataplaneDriver.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 10:47:45 +0200

networking-bagpipe (20.0.1-5) unstable; urgency=medium

  * Add Add_os_ken_app_to_EVPN_OVSDataplaneDriver.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 May 2024 16:10:07 +0200

networking-bagpipe (20.0.1-4) unstable; urgency=medium

  * Removed nwdiag depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 May 2024 13:56:29 +0200

networking-bagpipe (20.0.1-3) unstable; urgency=medium

  * Restrict tests to Architecture: amd64 arm64 ppc64el s390x.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2024 16:19:44 +0200

networking-bagpipe (20.0.1-2) unstable; urgency=medium

  * Remove extraneous python3-mock build dependency (Closes: #1066061).

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 09:09:47 +0200

networking-bagpipe (20.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:02:01 +0200

networking-bagpipe (20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (build-)depends on neutron 2:24.0.0~.
  * Removed double python3-pbr build-depends.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 17:42:49 +0100

networking-bagpipe (19.0.0-2) unstable; urgency=medium

  * Add a new networking-bagpipe-bgp-agent package.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 08:53:37 +0100

networking-bagpipe (19.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 12:43:44 +0200

networking-bagpipe (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 14:19:07 +0200

networking-bagpipe (18.0.0-2) unstable; urgency=medium

  * Cleans better (Closes: #1048765).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 11:43:47 +0200

networking-bagpipe (18.0.0-1) unstable; urgency=medium

  * New usptream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 16:14:23 +0100

=== debian/control ===
Source: networking-bagpipe
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-exabgp,
 python3-hacking,
 python3-isort,
 python3-netaddr,
 python3-networking-bgpvpn,
 python3-networking-sfc,
 python3-neutron (>= 2:24.0.0~),
 python3-neutron-lib,
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pecan,
 python3-pyroute2,
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 python3-stevedore,
 python3-subunit,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
Standards-Version: 4.4.1
Homepage: http://github.com/openstack/networking-babpipe
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-bagpipe
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-bagpipe.git

Package: networking-bagpipe-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack virtual network service - BGP-based VPN - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Driver and agent code to use BaGPipe lightweight implementation of BGP-based
 VPNs as a backend for Neutron.
 .
 This package contains the documentation.

Package: python3-networking-bagpipe
Architecture: all
Section: python
Depends:
 python3-babel,
 python3-exabgp,
 python3-netaddr,
 python3-networking-bgpvpn,
 python3-networking-sfc,
 python3-neutron (>= 2:24.0.0~),
 python3-neutron-lib,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-pecan,
 python3-pyroute2,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 networking-bagpipe-doc,
Description: OpenStack virtual network service - BGP-based VPN - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Driver and agent code to use BaGPipe lightweight implementation of BGP-based
 VPNs as a backend for Neutron.

Package: networking-bagpipe-bgp-agent
Architecture: all
Depends:
 python3-networking-bagpipe (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-networking-bagpipe (<< 19.0.0-2~),
Replaces:
 python3-networking-bagpipe (<< 19.0.0-2~),
Description: OpenStack virtual network service - BGP-based VPN - agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains the bgp agent, to be setup on each compute nodes.

## networking-bagpipe 22.0.0

=== debian/changelog ===
networking-bagpipe (22.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 22:00:48 +0200

networking-bagpipe (21.0.0+git2025030311.501df29-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 05 Mar 2025 10:00:50 +0000

networking-bagpipe (21.0.0+git2025011510.0b6e789-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove outdated dependencies.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 22 Jan 2025 08:19:40 +0000

networking-bagpipe (21.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:29:24 +0100

networking-bagpipe (21.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 15:02:14 +0100

networking-bagpipe (20.0.1+git2024080809.016f937e-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalamatian.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Aug 2024 11:39:26 +0100

=== debian/control ===
Source: networking-bagpipe
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.nwdiag (>= 0.9.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.3.4),
 python3-django-horizon (>= 4:17.1.0),
 python3-exabgp (>= 4.0.4),
 python3-hacking,
 python3-isort (>= 4.3.21),
 python3-netaddr (>= 0.7.18),
 python3-networking-bgpvpn (>= 12.0.0),
 python3-networking-sfc (>= 10.0.0),
 python3-neutron (>= 2:23.0.0),
 python3-neutron-lib (>= 2.19.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 2.3.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.versionedobjects (>= 1.35.1),
 python3-oslotest (>= 1:3.2.0),
 python3-pecan (>= 1.3.2),
 python3-pyroute2 (>= 0.5.7),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-bagpipe
Homepage: https://opendev.org/openstack/networking-bagpipe

Package: networking-bagpipe-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-networking-bagpipe (<< 9.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-bagpipe (<< 9.0.0~b2-0ubuntu2~),
Description: Driver and agent code to use BagPipe implementation (common)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This is the common configuration package.

Package: python-networking-bagpipe-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Driver and agent code to use BagPipe implementation (common documentaiton)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This is the common documentation package.

Package: python3-networking-bagpipe
Architecture: all
Depends:
 networking-bagpipe-common (= ${binary:Version}),
 python3-babel (>= 2.3.4),
 python3-django-horizon (>= 4:17.1.0),
 python3-exabgp (>= 4.0.4),
 python3-netaddr (>= 0.7.18),
 python3-networking-bgpvpn (>= 12.0.0),
 python3-networking-sfc (>= 10.0.0),
 python3-neutron (>= 2:23.0.0),
 python3-neutron-lib (>= 2.19.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 2.3.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.versionedobjects (>= 1.35.1),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.3.2),
 python3-pyroute2 (>= 0.5.7),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-networking-bagpipe-doc,
Description: Driver and agent code to use BagPipe implementation (Python 3)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-bagpipe/ networking_bagpipe-(22\.\d.*)\.tar\.gz

## networking-bagpipe 22.0.0+git2025070714.885ac70

=== debian/changelog ===
networking-bagpipe (22.0.0+git2025070714.885ac70-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * d/control: update maintainer to Ubuntu Devel

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 09 Jul 2025 15:56:54 -0700
